#include <afxwin.h>
#include "resource.h"

#pragma comment(lib, "my")
#pragma comment(lib, "your")

extern "C" __declspec(dllimport) void RunMyDlg();
extern "C" __declspec(dllimport) void RunYourDlg();

class CMainDlg: public CDialog
{
public:
	CMainDlg(): CDialog(IDD_MAIN) {}

	void OnRunMy()
	{
		RunMyDlg();
	}

	void OnRunYour()
	{
		RunYourDlg();
	}

	DECLARE_MESSAGE_MAP()
};

BEGIN_MESSAGE_MAP(CMainDlg, CDialog)
	ON_COMMAND(IDC_RUNMYDLG, OnRunMy)
	ON_COMMAND(IDC_RUNYOURDLG, OnRunYour)
END_MESSAGE_MAP()

extern "C" __declspec(dllimport) void RunMyDlg();

class CMyApp: public CWinApp
{
	BOOL InitInstance()
	{
		CMainDlg dlg;
		dlg.DoModal();
		return FALSE;
	}
};

CMyApp theApp;